
%global meadversion 1.8.3
%global namedversion 1.8.3.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jsoup}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.8.3.redhat-2

Name:           %{?scl_prefix}jsoup
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
License:        The MIT License
Summary:        jsoup
Group:          Development/Libraries/Java

%if %with mead
Source100: jsoup-1.8.3.redhat-2-scm-sources.zip
Source102: jsoup-1.8.3.redhat-2-sources.jar
Source103: jsoup-1.8.3.redhat-2-project-sources.tar.gz
Source104: jsoup-1.8.3.redhat-2.jar
Source105: jsoup-1.8.3.redhat-2-javadoc.jar
Source106: jsoup-1.8.3.redhat-2.pom
%endif

URL:            http://jsoup.org/

BuildRoot: %{_tmppath}/jsoup-%{version}-buildroot
BuildArch: noarch

%description
jsoup is a Java library for working with real-world HTML. It provides a very convenient API for extracting and manipulating data, using the best of DOM, CSS, and jquery-like methods.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jsoup
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jsoup -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/jsoup-%{namedversion}.jar %{buildroot}%{_javadir}/jsoup-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jsoup-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jsoup-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jsoup-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jsoup-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jsoup-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jsoup-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jsoup-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jsoup-%{namedversion}/META-INF
%{__ln_s} jsoup-%{namedversion} %{buildroot}%{_javadocdir}/jsoup
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jsoup
%defattr(0644,root,root,0755)
%{_javadir}/jsoup.jar
%{_javadir}/jsoup-%{namedversion}.jar
%if %with javadoc
%{_javadir}/jsoup-javadoc.jar
%{_javadir}/jsoup-%{namedversion}-javadoc.jar
%endif
%{_javadir}/jsoup-sources.jar
%{_javadir}/jsoup-%{namedversion}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jsoup-%{namedversion}
%{_javadocdir}/jsoup
%endif

%changelog
* Mon Dec 14 2015 Petr Sakar <psakar@redhat.com> - 1.8.3-2.redhat_2.1
- Upgrade to 1.8.3.redhat-2

* Fri Sep 25 2015 Hui Wang <huwang@redhat.com> - 1.8.3-1.redhat_1.1
- Upgrade to 1.8.3.redhat-1

* Fri Jul 17 2015 Hui Wang <huwang@redhat.com> - 1.8.1-1.redhat_1.1
- Upgrade to 1.8.1.redhat-1

* Thu May 23 2013 Lin Gao <lgao@redhat.com> - 0:1.6.1-1.redhat_1.2
- Move jar to %{_javadir} directly
- Add Requires(post):jpackage-utils and Requires(postun): jpackage-utils
- Fix default file permission of files
- Fix files list
- Remove the sources sub package

* Thu Feb 21 2013 Lin Gao <lgao@redhat.com> - 0:1.6.1-1.redhat_1.1
- Rebuild to change the Release tag

* Mon Feb 18 2013 Lin Gao <lgao@redhat.com> - 0:1.6.1-1_redhat_1
- Upgrade to 1.6.1

* Tue Aug 21 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.5.2-2_redhat_1
- Update poms for eap 6.0.1

* Mon Sep 12 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.5.2-1_redhat_1
- Build for Werewolf
